API DocumentationLoad Balancer Backends
Get Backend Info
Retrieve details about a specific backend on the given load balancer.
Authorization
bearer_auth AuthorizationBearer <token>
Authentication
Create an API token on Profile, or with osctl auth login. Send it in the Authorization header:
Authorization: Bearer os1_...Do not use the Keycloak web-session JWT as an API token. Keep the secret secure and do not share it.
In: header
Path Parameters
lb_id*string
A unique identifier for a load balancer instance.
Format
uuidbackend_name*string
The name of a backend on a load balancer.
Response Body
application/json
application/json
text/pain
application/json
application/json
curl -X GET "https://example.com/v1/lbs/550e8400-e29b-41d4-a716-446655440000/backends/my-backend"{ "name": "api-backend", "mode": "http", "balancing_method": "roundrobin", "port": 8080, "servers": { "type": "computer", "computer_ids": [ "cc3ccab2-0ae2-11ef-9136-6a0922f6458b", "cc8b9d3c-fe4d-11ee-91c9-6aca7850c3b4" ] }, "options": { "tls": false, "tls_verify": false, "forward_for": true, "proxy_protocol": "v2", "sticky_session": { "type": "cookie", "cookie": "SERVERID", "ttl": "5m" }, "health_check": { "type": "http", "path": "/health", "method": "GET", "port": 80, "expected_code": "200", "host_header": "example.com" } }}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized. Send POST /v1/init, then retry the request." } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}